Installing matplotlib

Hello,

it's me again, I found my mistake, I specified the wrong path when installing pygtk. But now, I have a problem installing matplotlib. When I type

python setup.py build

it terminates with:

Traceback (most recent call last):
   File "setup.py", line 125, in ?
     try: import gtk
   File "/Library/Frameworks/Python.framework/Versions/2.3//lib/python2.3/site-packages/gtk-2.0/gtk/__init__.py", line 37, in ?
     from _gtk import *
RuntimeError: could not open display

What is going wrong? I have no idea...
Thanks
Reik

···

Hello everybody,

I am new to this list and to the world of python, so I face some
questions, which are hopefully difficult to me only.
I use python2.3.4 and want to install matplotlib. I build all the
necessary packages (which were quite a lot) and finally, it seems to
work.

import matplotlib does not produce any errors, though
import matplotlib.matlab does:

No module named pygtk
PyGTK version 1.99.16 or greater is required to run the GTK Matplotlib
backends

But I have installed pygtk in the version2.4.1 without any errors and
indeed

import pygtk

works without error. What am I doing wrong? I spend a lot of time to
come to this point, but now I am running out of ideas. Can anyone help
me?
Thanks
Reik

ps: I tried to install wxPython in the first place, but the
make-command always terminates, because it has some problems with
finding files in .../mac/ogl/... something, so I decided to switch to
the GTK-backend...

--__--__--

_______________________________________________
Matplotlib-users mailing list
Matplotlib-users@lists.sourceforge.net
https://lists.sourceforge.net/lists/listinfo/matplotlib-users

End of Matplotlib-users Digest